| QxOrm 1.2.8 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

Classes | Files | Functions
QxFactory : QxOrm library factory pattern used by introspection engine

## Classes
class | qx::IxFactory
| qx::IxFactory : common interface for all classes that can be created dynamically using the class name More...
class | qx::QxFactory< T >
| qx::QxFactory<T> : concrete factory class to create object of type T dynamically using the class name More...
class | qx::QxFactoryX
| qx::QxFactoryX : list of all classes registered with QxOrm library factory pattern to create object instance dynamically using the class name More...
## Files
file | IxFactory.h
| Common interface for all classes that can be created dynamically using the class name.
file | QxFactory.h
| Concrete factory class to create object dynamically using the class name.
file | QxFactoryX.h
| List of all classes registered with QxOrm library factory pattern to create object instance dynamically using the class name.
## Functions
boost::any | qx::create (const QString &sKey)
| Return a smart-pointer new instance of object (boost::shared_ptr<T>) associated by key sKey using boost::any type (for example : qx::create("drug") return a new instance of smart-pointer drug class into boost::any type)
template<typename T >
T * | qx::create_nude_ptr (const QString &sKey)
| Return a nude pointer (be careful with memory leak) of type T associated by key sKey, or return NULL if sKey is not registered into factory engine.
void * | qx::create_void_ptr (const QString &sKey)
| Return a void * pointer (be careful with memory leak) associated by key sKey, or return NULL if sKey is not registered into factory engine.

## Function Documentation

boost::any qx::create | ( | const QString & | sKey | ) | `[inline]`

Return a smart-pointer new instance of object (boost::shared_ptr<T>) associated by key sKey using boost::any type (for example : qx::create("drug") return a new instance of smart-pointer drug class into boost::any type)

Definition at line 106 of file QxFactoryX.h.

template<typename T >

T * qx::create_nude_ptr | ( | const QString & | sKey | ) | `[inline]`

Return a nude pointer (be careful with memory leak) of type T associated by key sKey, or return NULL if sKey is not registered into factory engine.

Definition at line 114 of file QxFactoryX.h.

void * qx::create_void_ptr | ( | const QString & | sKey | ) | `[inline]`

Return a void * pointer (be careful with memory leak) associated by key sKey, or return NULL if sKey is not registered into factory engine.

Definition at line 121 of file QxFactoryX.h.